netatalk 4.5.1
Free and Open Source Apple Filing Protocol (AFP) Server
Loading...
Searching...
No Matches
ddpehdr Struct Reference

`#include <ddp.h>`

## Data Structures
union | [union].deh_u

## Data Fields
union | deh_u
unsigned short | deh_dnet
unsigned short | deh_snet
unsigned char | deh_dnode
unsigned char | deh_snode
unsigned char | deh_dport
unsigned char | deh_sport

## Detailed Description

Extended DDP header. Includes sickness for dealing with arbitrary bitfields on a little-endian arch.

## Field Documentation

## ◆ deh_dnet

unsigned short ddpehdr::deh_dnet

## ◆ deh_dnode

unsigned char ddpehdr::deh_dnode

## ◆ deh_dport

unsigned char ddpehdr::deh_dport

## ◆ deh_snet

unsigned short ddpehdr::deh_snet

## ◆ deh_snode

unsigned char ddpehdr::deh_snode

## ◆ deh_sport

unsigned char ddpehdr::deh_sport

## ◆ deh_u

union ddpehdr::[union].deh_u ddpehdr::deh_u

The documentation for this struct was generated from the following file:

- sys/netatalk/ddp.h